/*
Copyright (C) 2008  Damien Thebault

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

struct NameInfoQuery;

#ifndef PY_NAMEINFOQUERY_H
#define PY_NAMEINFOQUERY_H

#include <Python.h>
#include <asyncns.h>
#include "asyncns.h"
#include "query.h"

typedef struct NameInfoQuery
{
	Query query;
	unsigned char get_host, get_serv;
} NameInfoQuery;

extern PyTypeObject NameInfoQuery_type;

extern void initNameInfoQuery(PyObject *libasyncns_module);

#endif /* PY_NAMEINFOQUERY_H */
